CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

AutoCAD 2023 开发者帮助

ListARX 方法 (ActiveX)

2024-5-18 18:56| 发布者: admin| 查看: 152| 评论: 0|原作者: admin|来自: AutoCAD

ListARX 方法 (ActiveX)

获取当前加载的 ObjectARX 应用程序。

支持的平台:仅限 Windows

签名

VBA:

RetVal = object.ListArx
对象

类型: 应用

此方法应用到的对象。

返回值 (RetVal)

类型:变体

当前加载的 ObjectARX 应用程序数组。如果当前未加载任何应用程序,则返回空。

言论

没有其他评论。

例子

VBA:

Sub Example_ListARX()
    ' This example gets all the loaded ObjectARX applications
    
    ' Get the list of applications
    Dim appList As Variant
    appList = ThisDrawing.Application.ListArx
    
    ' Iterate through the list, and display the names, if any.
    If VarType(appList) <> vbEmpty Then
        Dim I As Integer
        For I = LBound(appList) To UBound(appList)
            MsgBox "ObjectARX application name: " & appList(I)
        Next
    Else
        MsgBox "No ObjectARX applications present."
    End If
    
End Sub

可视化 LISP:

(vl-load-com)
(defun c:Example_ListARX()
    ;; This example gets all the loaded ObjectARX applications
    (setq acadObj (vlax-get-acad-object))
  
    ;; Get the list of applications
    (setq appList (vla-ListArx acadObj))
    
    ;; Iterate through the list, and display the names, if any.
    (if (/= (vlax-variant-value appList) vlax-vbEmpty)
        (progn
            (setq I 0
                  appList (vlax-variant-value appList))
            (while (>= (vlax-safearray-get-u-bound appList 1) I)
                (alert (strcat "ObjectARX application name: " (vlax-safearray-get-element appList I)))
                (setq I (1+ I))
            )
        )
        (alert "No ObjectARX applications present.")
    )
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1   苏公网安备32011402011833)

GMT+8, 2025-3-14 06:04

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部